uuid: f09790ec-864e-44dc-9330-239a2dd5ea30
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.explorer_item
    - node.type.career
  module:
    - node
    - slick_views
    - user
id: career_explorer
label: 'Career Explorer'
module: views
description: ''
tag: ''
base_table: node_field_data
base_field: nid
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Career Explorer'
      fields:
        title:
          id: title
          table: node_field_data
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          entity_field: title
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            make_link: false
            absolute: false
            word_boundary: false
            ellipsis: false
            strip_tags: false
            trim: false
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: true
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
      pager:
        type: none
        options:
          offset: 0
          items_per_page: 0
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: tag
        options: {  }
      empty: {  }
      sorts:
        random:
          id: random
          table: views
          field: random
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: random
          order: ASC
          expose:
            label: ''
            field_identifier: random
          exposed: false
      arguments:
        field_pathway_target_id:
          id: field_pathway_target_id
          table: node__field_pathway
          field: field_pathway_target_id
          relationship: field_related_programs
          group_type: group
          admin_label: ''
          plugin_id: entity_target_id
          default_action: 'not found'
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: fixed
          default_argument_options:
            argument: ''
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          break_phrase: false
          not: false
          target_entity_type_id: node
      filters:
        status:
          id: status
          table: node_field_data
          field: status
          entity_type: node
          entity_field: status
          plugin_id: boolean
          value: '1'
          group: 1
          expose:
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
        type:
          id: type
          table: node_field_data
          field: type
          entity_type: node
          entity_field: type
          plugin_id: bundle
          value:
            career: career
          expose:
            operator_limit_selection: false
            operator_list: {  }
      style:
        type: slick
        options:
          caption:
            title: '0'
          optionset: careers
          class: ''
          image: ''
          link: ''
          overlay: ''
          title: ''
          vanilla: true
          layout: ''
          cache: 0
          grid: null
          grid_medium: null
          grid_small: null
          current_view_mode: block_career_explorer_program
          grid_header: ''
          id: ''
          skin: ''
          overridables:
            arrows: '0'
            autoplay: '0'
            dots: '0'
            draggable: '0'
            infinite: '0'
            mouseWheel: '0'
            randomize: '0'
            variableWidth: '0'
          thumbnail: ''
          optionset_thumbnail: ''
          skin_thumbnail: ''
          thumbnail_caption: ''
          override: false
          preserve_keys: false
          visible_items: null
      row:
        type: 'entity:node'
        options:
          relationship: none
          view_mode: explorer_item
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: true
          replica: false
          query_tags: {  }
      relationships:
        field_related_programs:
          id: field_related_programs
          table: node__field_related_programs
          field: field_related_programs
          relationship: none
          group_type: group
          admin_label: 'field_related_programs: Content'
          plugin_id: standard
          required: true
      group_by: true
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: 0
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  block_career_explorer_pathway:
    id: block_career_explorer_pathway
    display_title: 'Pathway Career Explorer'
    display_plugin: block
    position: 1
    display_options:
      display_description: ''
      display_extenders: {  }
    cache_metadata:
      max-age: 0
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  block_career_explorer_program:
    id: block_career_explorer_program
    display_title: 'Program Career Explorer'
    display_plugin: block
    position: 1
    display_options:
      arguments:
        field_related_programs_target_id:
          id: field_related_programs_target_id
          table: node__field_related_programs
          field: field_related_programs_target_id
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: entity_target_id
          default_action: 'not found'
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: fixed
          default_argument_options:
            argument: ''
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          break_phrase: false
          not: false
          target_entity_type_id: node
      defaults:
        relationships: false
        arguments: false
      relationships: {  }
      display_description: ''
      display_extenders: {  }
    cache_metadata:
      max-age: 0
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
